LIBJXL

Loading...
Searching...
No Matches
Public Attributes | List of all members
JxlBlendInfo Struct Reference
JPEG XL library (libjxl) » Image and frame metadata

`#include <codestream_header.h>`

## Public Attributes
JxlBlendMode | blendmode
uint32_t | source
uint32_t | alpha
JXL_BOOL | clamp

## Detailed Description

The information about blending the color channels or a single extra channel. When decoding, if coalescing is enabled (default), this can be ignored and the blend mode is considered to be JXL_BLEND_REPLACE. When encoding, these settings apply to the pixel data given to the encoder.

## Member Data Documentation

## ◆ alpha

uint32_t JxlBlendInfo::alpha

Which extra channel to use as the 'alpha' channel for blend modes JXL_BLEND_BLEND and JXL_BLEND_MULADD.

## ◆ blendmode

JxlBlendMode JxlBlendInfo::blendmode

Blend mode.

## ◆ clamp

JXL_BOOL JxlBlendInfo::clamp

Clamp values to [0,1] for the purpose of blending.

## ◆ source

uint32_t JxlBlendInfo::source

Reference frame ID to use as the 'bottom' layer (0-3).

The documentation for this struct was generated from the following file:

- jxl/codestream_header.h